package stackjava.com.demojdbc.demo;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;

public class Demo {
	public static void main(String[] args) throws SQLException {
		ConnectionUtils connectionUtils = new ConnectionUtils("jdbc:mysql://localhost:3306/demo-jdbc", "root",
				"admin1234");
		Connection con = connectionUtils.getConnection();
		Statement stmt = con.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT * FROM user_info");
		while (rs.next())
			System.out.println(rs.getInt(1) + "  " + rs.getString(2) + "  " + rs.getString(3));
		
		ResultSetMetaData rsmd=rs.getMetaData();  
		  
		System.out.println("Total columns: "+rsmd.getColumnCount());  
		
		for (int i = 1; i <= rsmd.getColumnCount(); i++) {
			System.out.println("Column " + i + " [name: "+rsmd.getColumnName(i) + " - type: " + rsmd.getColumnTypeName(i) + "]");  
		}
		connectionUtils.close();
	}
}
